# $Revision: 1.47 $, $Date: 2011/10/04 20:29:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	User
%define		pnam	Utmp
Summary:	User::Utmp - Perl access to utmp- and utmpx-style databases
Summary(pl.UTF-8):	User::Utmp - dostęp z poziomu Perla do baz typu utmp i utmpx
Name:		perl-User-Utmp
Version:	1.8
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/User/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e3561ae2b07f08b0c754bc351e810551
Patch0:		%{name}-strcmp-fix.patch
URL:		http://search.cpan.org/dist/User-Utmp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The User::Utmp Perl module provides a simple Perl interface to utmp-
and utmpx-style databases on UNIX systems, the most important being
/var/run/utmp, which provides information about users currently
logged in. There is also experimental support for writing utmp files.

%description -l pl.UTF-8
Moduł Perla User::Utmp udostępnia prosty interfejs w Perlu to plików
baz danych typu utmp i utmpx w systemach UNIX. Najważniejszym z nich
jest /var/run/utmp, który udostępnia informacje o aktualnie
zalogowanych użytkownikach. Jest również eksperymentalne wsparcie dla
zapisu do plików utmp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT%{perl_vendorarch}/User/example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/User
%{perl_vendorarch}/User/Utmp.pm
%dir %{perl_vendorarch}/auto/User
%dir %{perl_vendorarch}/auto/User/Utmp
%{perl_vendorarch}/auto/User/Utmp/autosplit.ix
%{perl_vendorarch}/auto/User/Utmp/Utmp.bs
%attr(755,root,root) %{perl_vendorarch}/auto/User/Utmp/Utmp.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-User-Utmp.spec,v $
Revision 1.47  2011/10/04 20:29:40  lisu
- rel 6

Revision 1.46  2010/11/12 23:38:16  pawelz
- release 5

Revision 1.45  2010/06/06 08:44:08  arekm
- release 4

Revision 1.44  2009/03/14 12:04:34  hawk
- release 3

Revision 1.43  2008/03/25 16:52:29  qboosh
- generic URL, informative summaries

Revision 1.42  2008-02-10 12:23:07  arekm
- rel 2

Revision 1.41  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.40  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.38  2006/10/21 09:53:39  ankry
- updted to 1.8

Revision 1.37  2004/11/03 22:30:53  paladine
- formatting

Revision 1.36  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.35  2004/05/07 01:22:55  ankry
- rel. 5

Revision 1.34  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.32  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.31  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.30  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:40  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:39:08  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/03 11:40:32  ankry
- added -doc patch (paths and man references in docs)
- added test on BCond
- fixed License, new description
- cleaner instal of example
- autosplit.ix is back
- release 3

Revision 1.21  2002/07/18 13:55:24  ankry
- translations, cleaning
- added %%{perl_sitearch}/auto/User and %%{perl_sitearch}/User
- moved example to %%{_examplesdir}
- removed autosplit.ix
- release 2

Revision 1.20  2002/07/11 09:26:18  qboosh
- strcmp-fix patch to allow build with optimizations; release 1

Revision 1.19  2002/07/11 08:44:38  depesz
- argh. my mistake. typo.

Revision 1.18  2002/07/11 08:06:08  depesz
- new version; should work; STBR

Revision 1.17  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.14  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.12  2002/02/10 15:37:16  depesz
adapterized

Revision 1.11  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/04/17 12:18:14  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.8  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.7  2001/01/26 02:29:19  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
